Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ui.commands
Interface ICategory

All Superinterfaces:
  Comparable

public interface ICategory
extends Comparable

A category is a grouping of commands by functional area. For example, in the Eclipse workbench, "Text Editing" is a category containing various commands related to text editing. A category's primary functionality is to control the display of commands to the user. When appropriate, commands displayed to the user (e.g., keys preference page) will be grouped by category.

An instance of `ICategory` is a handle representing a category as defined by the extension point `org.eclipse.ui.commands`. The identifier of the handle is identifier of the category being represented.

An instance of `ICategory` can be obtained from an instance of `ICommandManager` for any identifier, whether or not a category with that identifier defined in the plugin registry.

The handle-based nature of this API allows it to work well with runtime plugin activation and deactivation, which causes dynamic changes to the plugin registry, and therefore, potentially, dynamic changes to the set of category definitions.

This interface is not intended to be extended or implemented by clients.

Since:
  3.0
See Also:
  `ICategoryListener`, `ICommandManager`

Method Summary
`void` | `addCategoryListener(ICategoryListener categoryListener)` Registers an instance of `ICategoryListener` to listen for changes to attributes of this instance.
`String` | `getDescription()` Returns the description of the category represented by this handle, suitable for display to the user.
`String` | `getId()` Returns the identifier of this handle.
`String` | `getName()` Returns the name of the category represented by this handle, suitable for display to the user.
`boolean` | `isDefined()` Returns whether or not the category represented by this handle is defined.
`void` | `removeCategoryListener(ICategoryListener categoryListener)` Unregisters an instance of `ICategoryListener` listening for changes to attributes of this instance.

Methods inherited from interface java.lang.Comparable
`compareTo`

Method Detail

### addCategoryListener

    public void addCategoryListener(ICategoryListener categoryListener)

  Registers an instance of `ICategoryListener` to listen for changes to attributes of this instance.

  Parameters:
    `categoryListener` - the instance of `ICategoryListener` to register. Must not be `null`. If an attempt is made to register an instance of `ICategoryListener` which is already registered with this instance, no operation is performed.

### getDescription

    public String getDescription()
                          throws NotDefinedException

  Returns the description of the category represented by this handle, suitable for display to the user.

  Notification is sent to all registered listeners if this attribute changes.

  Returns:
    the description of the category represented by this handle. Guaranteed not to be `null`.
  Throws:
    `NotDefinedException` - if the category represented by this handle is not defined.

### getId

    public String getId()

  Returns the identifier of this handle.

  Returns:
    the identifier of this handle. Guaranteed not to be `null`.

### getName

    public String getName()
                   throws NotDefinedException

  Returns the name of the category represented by this handle, suitable for display to the user.

  Notification is sent to all registered listeners if this attribute changes.

  Returns:
    the name of the category represented by this handle. Guaranteed not to be `null`.
  Throws:
    `NotDefinedException` - if the category represented by this handle is not defined.

### isDefined

    public boolean isDefined()

  Returns whether or not the category represented by this handle is defined.

  Notification is sent to all registered listeners if this attribute changes.

  Returns:
    `true`, iff the category represented by this handle is defined.

### removeCategoryListener

    public void removeCategoryListener(ICategoryListener categoryListener)

  Unregisters an instance of `ICategoryListener` listening for changes to attributes of this instance.

  Parameters:
    `categoryListener` - the instance of `ICategoryListener` to unregister. Must not be `null`. If an attempt is made to unregister an instance of `ICategoryListener` which is not already registered with this instance, no operation is performed.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.